# Load Quartus II Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Set HSMC pin locations

# HSMC
set_location_assignment PIN_AF27 -to HSMC1_SMSDA
set_location_assignment PIN_AF28 -to HSMC1_SMSCL
set_location_assignment PIN_AG5 -to HSMC1_CLKOUT0
set_location_assignment PIN_Y15 -to HSMC1_CLKIN0
set_location_assignment PIN_AH21 -to HSMC1_D0
set_location_assignment PIN_AF18 -to HSMC1_D1
set_location_assignment PIN_AG21 -to HSMC1_D2
set_location_assignment PIN_AH12 -to HSMC1_D3

set_location_assignment PIN_AG10 -to HSMC1_CLKOUT1
set_location_assignment PIN_E8 -to HSMC1_CLKOUT2
set_location_assignment PIN_D12 -to HSMC1_CLKIN1
set_location_assignment PIN_E11 -to HSMC1_CLKIN2
set_location_assignment PIN_AF21 -to HSMC1_PRSNTn

set_location_assignment PIN_AH9 -to HSMC1_CLKOUT1_N
set_location_assignment PIN_D8 -to HSMC1_CLKOUT2_N
set_location_assignment PIN_C12 -to HSMC1_CLKIN1_N
set_location_assignment PIN_D11 -to HSMC1_CLKIN2_N

# HSMC TX
set_location_assignment PIN_AH23 -to HSMC1_TX0
set_location_assignment PIN_AF20 -to HSMC1_TX1
set_location_assignment PIN_AG19 -to HSMC1_TX2
set_location_assignment PIN_AG18 -to HSMC1_TX3
set_location_assignment PIN_AH17 -to HSMC1_TX4
set_location_assignment PIN_AG15 -to HSMC1_TX5
set_location_assignment PIN_AG14 -to HSMC1_TX6
set_location_assignment PIN_AG11 -to HSMC1_TX7
set_location_assignment PIN_AG9 -to HSMC1_TX8
set_location_assignment PIN_AG8 -to HSMC1_TX9
set_location_assignment PIN_AE8 -to HSMC1_TX10
set_location_assignment PIN_AE7 -to HSMC1_TX11
set_location_assignment PIN_AF5 -to HSMC1_TX12
set_location_assignment PIN_AF7 -to HSMC1_TX13
set_location_assignment PIN_AH6 -to HSMC1_TX14
set_location_assignment PIN_AE4 -to HSMC1_TX15
set_location_assignment PIN_AH3 -to HSMC1_TX16

# HSMC TX_N
set_location_assignment PIN_AH22 -to HSMC1_TX0_N
set_location_assignment PIN_AG20 -to HSMC1_TX1_N
set_location_assignment PIN_AH19 -to HSMC1_TX2_N
set_location_assignment PIN_AH18 -to HSMC1_TX3_N
set_location_assignment PIN_AH16 -to HSMC1_TX4_N
set_location_assignment PIN_AH14 -to HSMC1_TX5_N
set_location_assignment PIN_AH13 -to HSMC1_TX6_N
set_location_assignment PIN_AH11 -to HSMC1_TX7_N
set_location_assignment PIN_AH8 -to HSMC1_TX8_N
set_location_assignment PIN_AH7 -to HSMC1_TX9_N
set_location_assignment PIN_AF9 -to HSMC1_TX10_N
set_location_assignment PIN_AF8 -to HSMC1_TX11_N
set_location_assignment PIN_AF6 -to HSMC1_TX12_N
set_location_assignment PIN_AG6 -to HSMC1_TX13_N
set_location_assignment PIN_AH5 -to HSMC1_TX14_N
set_location_assignment PIN_AF4 -to HSMC1_TX15_N
set_location_assignment PIN_AH2 -to HSMC1_TX16_N

# HSMC RX
set_location_assignment PIN_AE20 -to HSMC1_RX0
set_location_assignment PIN_AA19 -to HSMC1_RX1
set_location_assignment PIN_AE19 -to HSMC1_RX2
set_location_assignment PIN_AD17 -to HSMC1_RX3
set_location_assignment PIN_W14 -to HSMC1_RX4
set_location_assignment PIN_AF17 -to HSMC1_RX5
set_location_assignment PIN_AF15 -to HSMC1_RX6
set_location_assignment PIN_U14 -to HSMC1_RX7
set_location_assignment PIN_AG13 -to HSMC1_RX8
set_location_assignment PIN_AE12 -to HSMC1_RX9
set_location_assignment PIN_AD11 -to HSMC1_RX10
set_location_assignment PIN_AF11 -to HSMC1_RX11
set_location_assignment PIN_T13 -to HSMC1_RX12
set_location_assignment PIN_T11 -to HSMC1_RX13
set_location_assignment PIN_V12 -to HSMC1_RX14
set_location_assignment PIN_V11 -to HSMC1_RX15
set_location_assignment PIN_AD10 -to HSMC1_RX16

# HSMC RX_N
set_location_assignment PIN_AD20 -to HSMC1_RX0_N
set_location_assignment PIN_AA18 -to HSMC1_RX1_N
set_location_assignment PIN_AD19 -to HSMC1_RX2_N
set_location_assignment PIN_AE17 -to HSMC1_RX3_N
set_location_assignment PIN_V13 -to HSMC1_RX4_N
set_location_assignment PIN_AG16 -to HSMC1_RX5_N
set_location_assignment PIN_AE15 -to HSMC1_RX6_N
set_location_assignment PIN_U13 -to HSMC1_RX7_N
set_location_assignment PIN_AF13 -to HSMC1_RX8_N
set_location_assignment PIN_AD12 -to HSMC1_RX9_N
set_location_assignment PIN_AE11 -to HSMC1_RX10_N
set_location_assignment PIN_AF10 -to HSMC1_RX11_N
set_location_assignment PIN_T12 -to HSMC1_RX12_N
set_location_assignment PIN_U11 -to HSMC1_RX13_N
set_location_assignment PIN_W12 -to HSMC1_RX14_N
set_location_assignment PIN_W11 -to HSMC1_RX15_N
set_location_assignment PIN_AE9 -to HSMC1_RX16_N

# Set HSMC Voltage standards
set_instance_assignment -name IO_STANDARD "2.5 V" -to HSMC1*
set_instance_assignment -name IO_STANDARD "2.5 V" -to HSMC1*

# Commit assignments
export_assignments
    
}   
    
